ipxe (2.0.0+dfsg-5ubuntu3) stonking; urgency=medium

  * d/t/qemu-cmd: fix DEB_HOST_ARCH_VARIANT variant reading (LP: #2153195)

 -- Jonas Jelten <jj@ubuntu.com>  Fri, 21 Aug 2026 17:43:09 +0200

ipxe (2.0.0+dfsg-5ubuntu2) stonking; urgency=medium

  * d/t/qemu-cmd: use -cpu max instead of kvm64 for the x86-64 self tests on
    arch variant builds as the amd64v3 toolchain emits v3 instructions
    that #UD under kvm64. (LP: #2153195)

 -- Jonas Jelten <jj@ubuntu.com>  Fri, 21 Aug 2026 16:33:25 +0200

ipxe (2.0.0+dfsg-5ubuntu1) stonking; urgency=medium

  * Merge with Debian unstable (LP: #2153195). Remaining changes:
    - d/{rules,util/check-rom-sizes}: pad size of generated roms to 512KiB
    - d/rules: don't build with lto (as recommended by upstream)
      https://github.com/ipxe/ipxe/issues/1515
  * Dropped changes:
    - d/t/control: skip-not-installable rom-* tests (LP #1677874)
      [fixed in 1.21.1+git-20250829.969ce2c55+dfsg-4]
    - d/p/respect-CPPFLAGS-CFLAGS-LDFLAGS-presets: remove due to upstream request
      [fixed in 2.0.0+dfsg-1~exp1]
    - d/t/qemu-cmd: fix test failure for arm64
      [fixed in 2.0.0+dfsg-1]
    - self compiled test pxe boot binary
      + d/t/control: Replace debian-installer-13-netboot-amd64 dependencies with
        gcc-mingw-64
      + d/t/gen_control: Remove references to arm64, since rom tests only execute
        on i386 and amd64
      + d/t/{pxe_hello.s,uefi_hello.c}: Added self compiled boot binary source
        code instead of depending on debian-installer
      + d/t/ipxe-rom: Use self compiled test PXE boot binary to avoid
        dependency on debian-installer package
      [fixed in 1.21.1+git-20250829.969ce2c55+dfsg-4]

 -- Jonas Jelten <jj@ubuntu.com>  Wed, 19 Aug 2026 13:42:50 +0200

ipxe (2.0.0+dfsg-5) unstable; urgency=medium

  * d/watch: add Dversion-Mangle.
  * d/copyright: update copyright.

 -- Miao Wang <shankerwangmiao@gmail.com>  Wed, 01 Apr 2026 16:37:16 +0800

ipxe (2.0.0+dfsg-4) unstable; urgency=medium

  * Workaround a bug in debhelper that symbol-linked install files
    executed by dh-exec are not handled correctly.

 -- Miao Wang <shankerwangmiao@gmail.com>  Tue, 31 Mar 2026 02:18:13 +0800

ipxe (2.0.0+dfsg-3) unstable; urgency=medium

  * d/{control,tests}: revert the temporary disabling of dh_auto_test
  * d/control: add an ipxe-qemu-amd64 package to break the dependency
    loop and allow building arch-all packages on amd64 buildds even
    when the arch-any packages for amd64 has already been built and
    uploaded (Closes: #1130949).

 -- Miao Wang <shankerwangmiao@gmail.com>  Wed, 18 Mar 2026 19:01:55 +0800

ipxe (2.0.0+dfsg-2) unstable; urgency=medium

  * d/{control,tests}: temporarily disable dh_auto_test and remove B-D
    to break dependency loop (#1130949)

 -- Miao Wang <shankerwangmiao@gmail.com>  Tue, 17 Mar 2026 02:27:06 +0800

ipxe (2.0.0+dfsg-1) unstable; urgency=medium

  * d/tests: workaround firmware problems on arm64 QEMU (#1124168).

 -- Miao Wang <shankerwangmiao@gmail.com>  Sun, 15 Mar 2026 08:10:15 +0800

ipxe (2.0.0+dfsg-1~exp1) experimental; urgency=medium

  [Miao Wang]
  * New upstream version 2.0.0+dfsg (Closes: #1130089)
  * d/patches: refresh existing patches.
  * d/rules: minor changes to adapt to new upstream version.
  * d/tests: mitgate firmware problems on arm64 QEMU (#1124168).
  * d/p/Ignore-error: add a patch to fix unit test error.
  * d/p/make-build-reproducible: reproducible build using -ffile-prefix-map.
  * d/rules: disable blhc warnings about compiler flags.

  [Shengqi Chen]
  * d/copyright: update according to upstream path changes

 -- Miao Wang <shankerwangmiao@gmail.com>  Mon, 09 Mar 2026 15:43:33 +0000

ipxe (1.21.1+git-20250829.969ce2c55+dfsg-4) UNRELEASED; urgency=medium

  * d/tests/ipxe-rom: Use self compiled test PXE boot binary to avoid
    dependency on debian-installer package. (LP: #1677874)
  * d/copyright: fix matching pattern for efi files.

 -- Miao Wang <shankerwangmiao@gmail.com>  Thu, 25 Dec 2025 02:18:29 +0800

ipxe (1.21.1+git-20250829.969ce2c55+dfsg-3ubuntu2) resolute; urgency=medium

  * d/t/qemu-cmd : fix arm64 tests failure because of cpu=max
    (LP: #2142121)

 -- Hector Cao <hector.cao@canonical.com>  Thu, 19 Feb 2026 16:42:04 +0100

ipxe (1.21.1+git-20250829.969ce2c55+dfsg-3ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2139110). Remaining changes:
    - d/{rules,util/check-rom-sizes}: pad size of generated roms to 512KiB
    - d/t/control: skip-not-installable rom-* tests (LP #1677874)
    - d/rules: don't build with lto (as recommended by upstream)
      https://github.com/ipxe/ipxe/issues/1515
    - d/p/respect-CPPFLAGS-CFLAGS-LDFLAGS-presets: remove due to upstream request
      (LP #2121439)
    - d/t/control: Replace debian-installer-13-netboot-amd64 dependencies with
      gcc-mingw-64.
    - d/t/gen_control: Remove references to arm64, since rom tests only execute
      on i386 and amd64.
    - d/t/{pxe_hello.s,uefi_hello.c}: Added self compiled boot binary source
      code instead of depending on debian-installer.
    - d/t/ipxe-rom: Use self compiled test PXE boot binary to avoid
      dependency on debian-installer package.

 -- Guilherme Puida Moreira <guilherme.moreira@canonical.com>  Mon, 26 Jan 2026 10:29:46 -0300

ipxe (1.21.1+git-20250829.969ce2c55+dfsg-3) unstable; urgency=medium

  * d/tests/ipxe-rom: Fix autopkgtest random failure on some UEFI
    firmwares.

 -- Miao Wang <shankerwangmiao@gmail.com>  Tue, 23 Dec 2025 14:06:16 +0800

ipxe (1.21.1+git-20250829.969ce2c55+dfsg-2) unstable; urgency=medium

  * d/tests/ipxe-{rom,tests}: Support for OVMF firmwares entering Boot
    Manager Menu instead of EFI Shell when no bootable device is
    found (Closes: #1123758)

 -- Miao Wang <shankerwangmiao@gmail.com>  Mon, 22 Dec 2025 13:08:48 +0800

ipxe (1.21.1+git-20250829.969ce2c55+dfsg-1ubuntu2) resolute; urgency=medium

  * Improve DEP8 test coverage (LP: #1677874)
    - d/t/control: Replace debian-installer-13-netboot-amd64 dependencies with
      gcc-mingw-64.
    - d/t/gen_control: Remove references to arm64, since rom tests only execute
      on i386 and amd64.
    - d/t/{pxe_hello.s,uefi_hello.c}: Added self compiled boot binary source
      code instead of depending on debian-installer.
    - d/t/ipxe-rom: Use self compiled test PXE boot binary to avoid
      dependency on debian-installer package.

 -- Guilherme Puida Moreira <guilherme.moreira@canonical.com>  Thu, 15 Jan 2026 08:44:40 -0300

ipxe (1.21.1+git-20250829.969ce2c55+dfsg-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2126002). Remaining changes:
    - d/t/control: skip-not-installable rom-* tests (LP #1677874)
    - d/rules: don't build with lto (as recommended by upstream)
      https://github.com/ipxe/ipxe/issues/1515
    - d/p/respect-CPPFLAGS-CFLAGS-LDFLAGS-presets: remove due to upstream request
      (LP #2121439)
    - d/rules: pad size of generated roms to 512KiB
  * Dropped changes:
    - d/watch: use format $version+git-$date-$hash
      [fixed in 1.21.1+git-20250829.969ce2c55+dfsg-1]
    - d/p/debian/patches/respect-CPPFLAGS-CFLAGS-LDFLAGS-presets.patch:
      fix HOST_CFLAGS recursion to avoid make error
      "Recursive variable `HOST_CFLAGS' references itself"
      [obsolete due to patch removal]

 -- Jonas Jelten <jonas.jelten@canonical.com>  Fri, 05 Dec 2025 14:46:47 +0100

ipxe (1.21.1+git-20250829.969ce2c55+dfsg-1) unstable; urgency=medium

  [ Miao Wang ]
  * d/watch: change upstream versioning scheme (Closes: #1112218).
  * d/copyright: ignore .github/.
  * New upstream version 1.21.1+git-20250829.969ce2c55+dfsg.
  * d/control: remove ipxe Rec: grub-ipxe.
  * d/p: refresh patches.
  * d/ci: remove hacks.

  [ Shengqi Chen ]
  * d/watch: switch to uscan version 5.

 -- Shengqi Chen <harry@debian.org>  Wed, 17 Sep 2025 17:02:14 +0800

ipxe (1.21.1+git-20250602.5b3ebf8b+dfsg-1ubuntu3) questing; urgency=medium

  * d/t/control: skip-not-installable rom-* tests (LP: #1677874)

 -- Lukas Märdian <slyon@ubuntu.com>  Mon, 29 Sep 2025 11:45:57 +0200

ipxe (1.21.1+git-20250602.5b3ebf8b+dfsg-1ubuntu2) questing; urgency=medium

  * d/p/respect-CPPFLAGS-CFLAGS-LDFLAGS-presets: removed due to upstream
    request (LP: #2121439)

 -- Jonas Jelten <jonas.jelten@canonical.com>  Wed, 10 Sep 2025 12:10:47 +0200

ipxe (1.21.1+git-20250602.5b3ebf8b+dfsg-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #1996530). Changed version from debian's
    1.21.1+git20250602.5b3ebf8b+dfsg-1 by including '+git-', which is needed
    to be newer than Ubuntu's latest 1.21.1+git-20220113.fbbdc3926-0ubuntu2
    and newer than Debian's 1.21.1+git20250602.5b3ebf8b+dfsg-1 (using '+git')

    Remaining changes:
    - d/util/check-rom-sizes, d/rules: pad size of generated roms to 512KiB
      to avoid accidentally breaking KVM live migration on updates/fixes.
      debian managed to reduce the size back to 256KiB in
      1.21.1+git20250317.42a29d56+dfsg-1
      but to be future-proof, let's reserve this little extra space.
      background: qemu migrations apparently reserve memory from the target
      system's roms, while moving the data from the source emulator.
  * Drop changes:
    - Fix FTBFS with new binutils
      + d/p/0003-Inhibit-linker-warnings-about-an-implied-executable-.patch
      [upstream in e17568ad0642490143d0c6b154c874b9b9e285bf]
      + d/p/0004-Fix-building-with-newer-binutils.patch
      [upstream in 6ca597eee9f95b846a3c2dc1231e63cfc02272c1]
    - d/p/handle-dhcp-nack.patch: Handle DHCP NAK and send a re-discover.
      (LP #1707999)
      [upstream in 1192edf394aaebde666c6aafda1c8b782b08a845]
    - d/p/build-Be-explicit-about-fcommon-compiler-directive.patch
      [upstream in 1.21.0 f982a712979619dbae2c6e0d741757e2ce94be11]
    - d/p/lp-1882671-efi-Raise-TPL-during-driver-entry-point.patch
      (LP #1882671)
      [upstream in 1.21.0 2ae5d4338661b65c63eb5cb1a96e5b803fe7d620]
    - split grub integration from ipxe->grub-ipxe
      [included in 1.21.1+git20220113.fbbdc3926+dfsg-3]
    - d/grub-ipxe.install, d/control, d/rules: Build ipxe-arm64.efi
      (LP #1890230)
      [included in 1.21.1+git20220113.fbbdc3926+dfsg-3]
    - d/rules: build ROMs for QEMU with CONFIG=qemu
      (LP #1789319)
      [included in 1.21.1+git20220113.fbbdc3926+dfsg-2]
    - d/tree/ipxe/etc/grub.d/20_ipxe: Make grub-ipxe work under UEFI
      (LP #1811496)
      [included in 1.21.1+git20220113.fbbdc3926+dfsg-2]
    - d/rules: don't clean explicitly in between builds
      [included in 1.21.1+git20220113.fbbdc3926+dfsg-2]
    - d/util/geniso: fix rounding to unbreak iso creation
      [included in 1.21.1+git20220113.fbbdc3926+dfsg-1]
    - d/copyright updates (LP #1747071)
      [included in 1.21.1+git20220113.fbbdc3926+dfsg-1]
    - d/p/0005-strip-802.1Q-VLAN-0-priority-tags.patch
      [included in 1.21.1+git20220113.fbbdc3926+dfsg-1]
  * New changes:
    - d/watch: use format $version+git-$date-$hash
      to ensure version continuity, since debian switched to
      $version+git$date-$hash which is lower than -
    - d/p/debian/patches/respect-CPPFLAGS-CFLAGS-LDFLAGS-presets.patch:
      fix HOST_CFLAGS recursion to avoid make error
      "Recursive variable `HOST_CFLAGS' references itself"
    - d/rules: don't build with lto (as recommended by upstream)
      https://github.com/ipxe/ipxe/issues/1515

 -- Jonas Jelten <jonas.jelten@canonical.com>  Wed, 13 Aug 2025 12:18:36 +0200

ipxe (1.21.1+git20250602.5b3ebf8b+dfsg-1) unstable; urgency=medium

  * New upstream version 1.21.1+git20250602.5b3ebf8b+dfsg

 -- Shengqi Chen <harry@debian.org>  Wed, 04 Jun 2025 16:06:29 +0800

ipxe (1.21.1+git20250501.dad20602+dfsg-1) unstable; urgency=medium

  * New upstream version 1.21.1+git20250501.dad20602+dfsg.
  * d/patches: refresh existing patches.

 -- Shengqi Chen <harry@debian.org>  Fri, 02 May 2025 16:55:24 +0800

ipxe (1.21.1+git20250401.7e64e9b6+dfsg-2) unstable; urgency=medium

  * Fix FTBFS on gcc-15 (Closes: #1096851).
  * Fix autopkgtest error on i386 on some architectures.

 -- Miao Wang <shankerwangmiao@gmail.com>  Tue, 15 Apr 2025 23:59:45 +0800

ipxe (1.21.1+git20250401.7e64e9b6+dfsg-1) unstable; urgency=medium

  * New upstream version 1.21.1+git20250401.7e64e9b6+dfsg.
  * d/patches: refresh existing patches.

 -- Shengqi Chen <harry@debian.org>  Sat, 12 Apr 2025 21:49:03 +0800

ipxe (1.21.1+git20250317.42a29d56+dfsg-2) unstable; urgency=medium

  [ Miao Wang ]
  * Fix the removal of 64bit emulation on 32bit arches since qemu 10.
    (Closes: #1101412)
  * d/NEWS: add an entry to record the removal of iPXE stack from UEFI bootroms.
    (Closes: #1101493)

  [ Shengqi Chen ]
  * d/patches: remove useless patch and update metadata.

 -- Miao Wang <shankerwangmiao@gmail.com>  Wed, 09 Apr 2025 21:48:11 +0800

ipxe (1.21.1+git20250317.42a29d56+dfsg-1) unstable; urgency=medium

  [ Miao Wang ]
  * d/control: add <!nocheck> back for qemu-system-misc
  * d/p/reduce_efirom_size.patch: remove unnecessary objects
  * d/p/fix-lkrn-long-version.patch: use upstream patch
  * d/tests: add pxe boot tests
  * d/rules: output size information during combining ROMs
  * efirom: remove non-x86 roms and remain within 256k (closes: #1095073)
  * d/rules: fix build failure on i386

  [ Shengqi Chen ]
  * New upstream version 1.21.1+git20250317.42a29d56+dfsg
  * d/control: bump std-ver to 4.7.2 (no changes required)
  * d/patches: remove applied patch and refresh

 -- Shengqi Chen <harry@debian.org>  Tue, 18 Mar 2025 17:03:54 +0800

ipxe (1.21.1+git20250224.12ea8c40+dfsg-2) unstable; urgency=medium

  * Enable dh_auto_test and add removed B-D back again.
  * d/control: remove useless B-D alternatives.

 -- Shengqi Chen <harry@debian.org>  Thu, 27 Feb 2025 00:41:10 +0800

ipxe (1.21.1+git20250224.12ea8c40+dfsg-1) unstable; urgency=medium

  * d/control: update orders of alternative B-Ds to fix FTBFS on buildd
  * New upstream version 1.21.1+git20250224.12ea8c40+dfsg
  * d/{control,rules}: temporarily disable dh_auto_test and remove B-D
    to break dependency loop (closes: #1098923)

 -- Shengqi Chen <harry@debian.org>  Wed, 26 Feb 2025 13:36:10 +0800

ipxe (1.21.1+git20250207.bd90abf4+dfsg-1) unstable; urgency=medium

  [ Miao Wang ]
  * Enable ipxe self-tests on all architectures.
  * d/rules: prevent rebuilding the whold tree when building different
    images.
  * d/tests: reset the console after running the tests.

  [ Shengqi Chen ]
  * Upload to unstable.
  * d/control: bump std-ver to 4.7.1 (no changes required).

 -- Shengqi Chen <harry@debian.org>  Wed, 26 Feb 2025 00:21:39 +0800

ipxe (1.21.1+git20250207.bd90abf4+dfsg-1~exp3) experimental; urgency=medium

  * d/rules: When compiling any packages for i386, use i686-linux-gnu-
    tool chain.

 -- Miao Wang <shankerwangmiao@gmail.com>  Mon, 17 Feb 2025 17:22:00 +0800

ipxe (1.21.1+git20250207.bd90abf4+dfsg-1~exp2) experimental; urgency=medium

  * d/control: Adjust build dependencies for riscv64 and loong64
  * d/p/fix-lkrn-long-version.patch: Add patch to fix boot failure when
    the version string is too long.

 -- Miao Wang <shankerwangmiao@gmail.com>  Sat, 15 Feb 2025 13:22:00 +0800

ipxe (1.21.1+git20250207.bd90abf4+dfsg-1~exp1) experimental; urgency=medium

  [ Shengqi Chen ]
  * New upstream version 1.21.1+git20250207.bd90abf4+dfsg
  * d/patches: remove applied patches

  [ Miao Wang ]
  * Enable building and autopkgtest on riscv64 and loong64
  * Adjust expected sizes in d/util/check-rom-sizes
  * Enable more commands: vlan, reboot, poweroff, ping
  * d/copyright: update according to new upstream sources

 -- Shengqi Chen <harry@debian.org>  Fri, 14 Feb 2025 21:07:05 +0800

ipxe (1.21.1+git20220113.fbbdc3926+dfsg-4) unstable; urgency=medium

  [ Miao Wang ]
  * d/rules:
    - Fix incorrect CFLAGS for architecture other than BUILD_ARCH.
    - Split build targets for any and all architectures.

  [ Shengqi Chen ]
  * Do source-only upload to allow migration.

 -- Shengqi Chen <harry@debian.org>  Tue, 04 Feb 2025 07:09:05 +0800

ipxe (1.21.1+git20220113.fbbdc3926+dfsg-3) unstable; urgency=medium

  [ Miao Wang ]
  * Split boot images & grub script into new binary package grub-ipxe
    and only installs native boot images into /boot.
  * Cross-build / multi-arch support:
    - Allow building on non x86-64 architectures.
    - Include EFI image for arm64 in the ISO image.
    - Include drivers for arm64 in the efi roms.
    - d/grub-ipxe.grub: add support for arm64
  * Packaging related:
    - Suppress false positives from blhc.
    - d/util/geniso:
      + Use -isohybrid-mbr in xorriso instead of isohybrid.
      + Fix EFI boot image size calculation.
      + Allow including EFI images for multiple architectures.
    - Add autopkgtest for generated ISO image and efi roms.

  [ Shengqi Chen ]
  * d/control: change maintainer as discussed.
    Thank Sven for salvaging and improving iPXE in Debian!
  * d/patches: update metadata.
  * d/NEWS: add entry on grub-ipxe split.

 -- Shengqi Chen <harry@debian.org>  Mon, 03 Feb 2025 06:42:00 +0800

ipxe (1.21.1+git20220113.fbbdc3926+dfsg-2) unstable; urgency=medium

  * d/rules + debian/patches/debian-changes:
    - Drop needless removal of src/bin/.gitignore and correct clean target.
  * d/p/*:
    - Drop patch debian-changes entirely.
  * d/README.source.md:
    - Drop file for describing obsolete procedures.
  * d/control:
    - Fix grammar of ipxe-qemu description.
    - Remove not used dpkg-source-gitarchive from Build-Depends.
  * d/rules:
    - Simplify pattern to pick targets to build.
  * d/rules + d/config/*:
    - Apply upstream's functionality to build roms with HTTPS support
      excluding EFI roms.
  * d/rules:
    - Simplify building of ipxe-arm64.efi
    - Avoid "warning: pattern recipe did not update peer target" by splitting
      the multi pattern target into one target per architecture.
    - Simplify mkdir invocations.
  * d/config/* + d/p/* + d/rules:
    - Convert Debian's configuration files into a patch, adapt d/rules
      accordingly.
  * d/tree + d/ipxe.grub + d/ipxe.install:
    - Rework the way the grub-mkconfig helper script gets installed.
  * d/rules:
    - Rework target override_dh_install to execute_after_dh_install.
    - In the override_dh_auto_clean recipe, replace '$(MAKE)' with an
      invocation of 'dh_auto_clean'.
    - Drop not used variable ISOLINUX_BIN.
    - Remove not needed special targets .NOTPARALLEL and .SECONDARY.
  * d/copyright:
    - Bump Debian copyright year to 2025.

 -- Sven Geuer <sge@debian.org>  Mon, 13 Jan 2025 17:11:18 +0100

ipxe (1.21.1+git20220113.fbbdc3926+dfsg-1) unstable; urgency=medium

  * d/copyright:
    - Fix Format field value.
    - Exclude drivers violating the DFSG and unneeded files of unclear
      licensing.
  * New upstream snapshot 1.21.1+git20220113.fbbdc3926+dfsg
   (Closes: #985047, #1011947).
  * d/control: Salvage package setting Maintainer to myself (Closes: #1089184).
    Thanks to Bastian Blank <waldi@debian.org> who introduced ipxe to Debian
    and maintained the package in the past.
  * d/watch: Introduce watch file.
  * d/gbp.conf: Introduce gbp configuration file.
  * d/salsa-ci.yml:
    - Introduce Salsa-Ci configuration file.
    - Add variable SALSA_CI_DISABLE_CROSSBUILD_ARM64.
  * d/p/*:
    - 9fa8c40d…fcommon.patch: Remove it for being applied upstream.
    - fix-building-with-newer-binutils.patch: update it to new upstream
      snapshot.
    - Backport from Ubuntu 0005-strip-802.1Q-VLAN-0-priority-tags.patch,
      renaming it to strip-802.1Q-VLAN-0-priority-tags.patch.
    - Backport from Ubuntu
      0003-Inhibit-linker-warnings-about-an-implied-executable-.patch,
      renaming it to inhibit-linker-warnings-about-an-implied-executable.patch.
  * d/tree/ipxe/etc/grub.d/20_ipxe:
    - Backport from Ubuntu fix about loading ipxe.efi under UEFI
      (Closes: #927783).
  * d/util/geniso:
    - Backport from Ubuntu fix to rounding to prevent broken iso creation.
    - Enhance the tool to generate a reproducible ISO image.
  * d/rules, d/util/check-rom-size: Backport this tool from Ubuntu and use it.
  * d/control, d/ipxe.install, d/ipxe.links, d/ipxe.post*, d/rules: Backport
    remaining changes from Ubuntu, which comprises:
    - Build ROMs applying the configuration upstream provides.
    - Enable HTTPS support (Closes: #847094).
    - Build ipxe-arm64.efi.
  * d/rules: Drop variable VERSION in favour of DEB_VERSION.
  * d/p/*:
    - Add patch to respect presets to CPPFLAGS, CFLAGS, LDFLAGS the
      Debian build system brings along.
    - d/p/strip-802.1Q-VLAN-0-priority-tags.patch: Update header and add
      Forwarded URL.
    - d/p/debian-changes: Add DEP3 header.
  * d/control, d/util/geniso: Use secure URLs when pointing to ipxe.org.
  * d/control:
    - Bump debhelper-compat to 13.
    - Update Standards-Version to 4.7.0.
    - Update Vcs-* to the designated repository home.
    - Add field Rules-Requires-Root with value "no".
  * d/upstream/metadata: Add upstream metadata file.
  * d/copyright: Rework copyrights and add missing ones.
  * d/ipxe-qemu.*, d/util/check-rom-sizes:
    - Move ROMs from /usr/lib/ipxe/qemu to /usr/share/qemu and remove links
      as per request from the QEMU maintainer.
  * d/config/general.h, d/config/console.h:
    - Add build options to enable background images (Closes: #955289).
  * d/rules: Add build option CERT_CMD to complement HTTPS support.
  * Apply 'wrap-and-sort -at'.

 -- Sven Geuer <sge@debian.org>  Fri, 27 Dec 2024 12:38:06 +0100

ipxe (1.21.1+git-20220113.fbbdc3926-0ubuntu2) noble; urgency=medium

  * Fix FTBFS with new binutils.
    - d/p/0003-Inhibit-linker-warnings-about-an-implied-executable-.patch
    - d/p/0004-Fix-building-with-newer-binutils.patch

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 16 Apr 2024 17:17:04 -0400

ipxe (1.21.1+git-20220113.fbbdc3926-0ubuntu1) jammy; urgency=medium

  * Bump code to 1.21.1+git-20220113.fbbdc3926
  * d/grub-ipxe.install, d/control, d/rules: Build ipxe-arm64.efi
    (LP: #1890230)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 13 Jan 2022 14:53:40 +0100

ipxe (1.21.1+git-20210429.323af9ee-0ubuntu1) impish; urgency=medium

  * Bump code to 1.21.1+git-20210429.323af9ee
    - Drop d/p/handle-dhcp-nack.patch: Handle DHCP NAK and send a
      re-discover. (LP 1707999)
      [replaced by 1192edf "Handle DHCPNAK by returning to discovery state"]
    - Drop d/p/lp-1882671-efi-Raise-TPL-during-driver-entry-point.patch
      [upstream in 1.21.0]
    - Drop d/p/build-Be-explicit-about-fcommon-compiler-directive.patch
      [upstream in 1.21.0]
    - update d/p/0005-strip-802.1Q-VLAN-0-priority-tags.patch to match 1.21
    - d/rules: don't clean explicitly in between builds

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 29 Apr 2021 16:12:33 +0200

ipxe (1.0.0+git-20190125.36a4c85-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch, backported from upstream commit, to fix FTBFS with
    binutils 2.41 and above (Closes: #1058329).

 -- Sven Geuer <sge@debian.org>  Wed, 11 Dec 2024 12:10:08 +0100

ipxe (1.0.0+git-20190125.36a4c85-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply upstream patch to fix FTBFS with gcc 10. (Closes: #966942)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 07 Feb 2021 17:25:50 +0000

ipxe (1.0.0+git-20190125.36a4c85-5ubuntu4) hirsute; urgency=medium

  * d/u/geniso: fix rounding to unbreak iso creation

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 30 Mar 2021 10:09:06 +0200

ipxe (1.0.0+git-20190125.36a4c85-5ubuntu3) groovy; urgency=medium

  * d/p/build-Be-explicit-about-fcommon-compiler-directive.patch: fix
    FTBFS with gcc-10
  * d/util/geniso: fix FTBFS due to rounding issues

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 01 Oct 2020 10:14:14 +0200

ipxe (1.0.0+git-20190125.36a4c85-5ubuntu2) groovy; urgency=medium

  * d/p/lp-1882671-efi-Raise-TPL-during-driver-entry-point.patch: fix the
    formerly avoided efi TPL issues (LP: #1882671)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 16 Jul 2020 14:36:54 +0200

ipxe (1.0.0+git-20190125.36a4c85-5ubuntu1) groovy; urgency=medium

  * Merge with Debian unstable (LP: #1884758). Remaining changes:
    - Split grub integration from ipxe->grub-ipxe.
      - d/control: add package and adapt dependencies
      - d/[grub-]ipxe.install: move some files to grub-ipxe
      - rename d/ipxe.post* to d/grub-ipxe-post*
      [updated to match 1.0.0+git-20190125.36a4c85-5]
    - d/util/check-rom-sizes, d/rules: check sizes of generated roms to avoid
      accidentally breaking KVM live migration on updates/fixes.
      [updated for new and dropped rom file names]
    - debian/copyright: update copyright information to satisfy lintian
      dep5 checks (LP: 1747071)
    - Build ROMs for QEMU with CONFIG=qemu (LP: 1789319)
      [updated to match 1.0.0+git-20190125.36a4c85-5 and be more verbose]
    - debian/patches/handle-dhcp-nack.patch: Handle DHCP NAK and send a
      re-discover. (LP 1707999)
    - d/p/0005-strip-802.1Q-VLAN-0-priority-tags.patch: Strip 802.1Q VLAN 0
      priority tags; Fixes PXE when VLAN tag is 0. (LP: 1805920)
    - d/tree/ipxe/etc/grub.d/20_ipxe: Make grub-ipxe work under UEFI
      (LP: 1811496)
      - Use ipxe.efi under UEFI
      - Save default entry when iPXE is selected
    - d/tree/ipxe/etc/grub.d/20_ipxe: Identify ipxe grub menu entry in
      an easier way (LP: 1858374)
  * Dropped changes
    - new upstream release 20190109.133f4c4 [superseded by new upstream]
    - new upstream release 20180124.fbe8c52d [superseded by new upstream]
    - Revert to the former git snapshot 20150424.a25a16d
      [superseded by new upstream]
      - This brings back debian/patches/0002-Don-t-use-libiberty.patch as needed
        on the older source.
      - Adapt d/p/0001-rom-change-banner-timeout.diff.patch to former state to
        match old source.
      - drop d/p/util-elf2efi-GNU_SOURCE.patch as it was not needed on old
        source
    - Fix FTBFS with newer perl versions [upstream]
    - d/p/0004-fix_no-pie_option.patch: correct -no-pie option
      to build without pie
      [ still carried before ]
    - Install ne.rom as pxe-ne2k_isa.rom
      - d/ipxe-qemu.install: Install ne.rom as pxe-ne2k_isa.rom.
      - d/ipxe-qemu.links: compat link for ne.rom
      [ no more needed, was an old xen hvmloader bug ]
    - d/ipxe-qemu.links: Add compat links from /usr/share/qemu
      to /usr/lib/ipxe/qemu.
      [ no more needed, transition from trusty ]
    - add new rom for vmxnet3 (LP 1737211) [in Debian now]
    - Add e1000e firmware for qemu. (closes 884240) [in Debian now]
    - d/control: ipxe-qemu breaks qemu-system-x86 <2.11 [no more needed]
    - d/p/enable-https.patch: Enable HTTPS support.
      [resolved per rom type in d/rules now]
  * Added changes
    - d/rules: only enable https on non EFI roms. This lets EFI handle https
      itself and avoids breakage in TPL manipulations (LP: #1882671)
    - d/util/check-rom-sizes: fix if size does exactly match

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 23 Jun 2020 16:23:52 +0200

ipxe (1.0.0+git-20190125.36a4c85-5) unstable; urgency=medium

  * Cleanup src/bin correctly. (closes: #952275)

 -- Bastian Blank <waldi@debian.org>  Tue, 25 Feb 2020 21:44:34 +0100

ipxe (1.0.0+git-20190125.36a4c85-4) unstable; urgency=medium

  * Use new source format instead of own rules.
  * Use debhelper 12.
  * Move ipxe.efi into /boot. (closes: #947267)

 -- Bastian Blank <waldi@debian.org>  Thu, 02 Jan 2020 21:36:39 +0100

ipxe (1.0.0+git-20190125.36a4c85-3) unstable; urgency=medium

  * Combine legacy and EFI rom again. (closes: #947024)

 -- Bastian Blank <waldi@debian.org>  Thu, 19 Dec 2019 19:32:59 +0100

ipxe (1.0.0+git-20190125.36a4c85-2) unstable; urgency=medium

  * Add Vcs information.
  * Include snponly.efi. (closes: #944321)

 -- Bastian Blank <waldi@debian.org>  Sat, 14 Dec 2019 21:43:28 +0100

ipxe (1.0.0+git-20190125.36a4c85-1) unstable; urgency=medium

  * New snapshot. (closes: #832765, #906365)
  * Add e1000e and vmxnet3 firmware for qemu. (closes: #884240, #868124)

 -- Bastian Blank <waldi@debian.org>  Sat, 09 Feb 2019 17:41:37 +0100

ipxe (1.0.0+git-20190109.133f4c4-0ubuntu3) focal; urgency=medium

  [Alkis Georgopoulos]
  * d/tree/ipxe/etc/grub.d/20_ipxe: Make grub-ipxe work under UEFI
    (LP: #1811496)
    - Use ipxe.efi under UEFI
    - Save default entry when iPXE is selected
  [Sharon Dagan]
  - d/tree/ipxe/etc/grub.d/20_ipxe: Identify ipxe grub menu entry in
    an easier way (LP: #1858374)

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Mon, 06 Jan 2020 18:59:25 +0000

ipxe (1.0.0+git-20190109.133f4c4-0ubuntu2) disco; urgency=medium

  * Add e1000e firmware for qemu. (closes: #884240)
    - d/ipxe-qemu.install: install new rom
    - d/util/check-rom-sizes: check new rom

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 19 Feb 2019 17:17:04 +0100

ipxe (1.0.0+git-20190109.133f4c4-0ubuntu1) disco; urgency=medium

  * Merge new upstream release 1.0.0+git-20190109.133f4c4
    Remaining Changes:
    - d/p/enable-https.patch: Enable HTTPS support.
    - Split grub integration from ipxe->grub-ipxe.
      - d/control: add package and adapt dependencies
      - d/[grub-]ipxe.install: move some files to grub-ipxe
      - rename d/ipxe.post* to d/grub-ipxe-post*
    - Install ne.rom as pxe-ne2k_isa.rom
      - d/ipxe-qemu.install: Install ne.rom as pxe-ne2k_isa.rom.
      - d/ipxe-qemu.links: compat link for ne.rom
    - d/ipxe-qemu.links: Add compat links from /usr/share/qemu
      to /usr/lib/ipxe/qemu.
    - d/util/check-rom-sizes, d/rules: check sizes of generated roms to avoid
      accidentially breaking KVM live migration on updates/fixes.
    - handling of efi rom size changes in Bionic (LP 1713490)
      - d/util/check-rom-sizes: bump efi rom sizes
      - d/control: break older qemu versions to ensure the new sized roms
        are only associated with new qemu versions.
    - debian/patches/handle-dhcp-nack.patch: Handle DHCP NAK and send a
      re-discover. (LP 1707999)
    - updated debian/patches/util-elf2efi-GNU_SOURCE.patch to match latest
      upstream.
    - add new rom for vmxnet3 (LP 1737211)
      - d/ipxe-qemu.install: install new rom
        are only associated with new qemu versions.
    - Build ROMs for QEMU with CONFIG=qemu (LP: 1789319)
    - d/p/0005-strip-802.1Q-VLAN-0-priority-tags.patch: Strip 802.1Q VLAN 0
      priority tags; Fixes PXE when VLAN tag is 0. (LP: 1805920)
    - debian/copyright: update copyright information to satisfy lintian
      dep5 checks (LP: 1747071)
  * Dropped changes (upstream):
    - debian/patches/fix-elf2efi-plt-relocation.diff: Cherry-pick fix from
      ipxe devel mailing list to handle R_X86_64_PLT32 relocations.

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 09 Jan 2019 11:09:29 +0100

ipxe (1.0.0+git-20180124.fbe8c52d-0ubuntu5) disco; urgency=medium

  * d/p/0005-strip-802.1Q-VLAN-0-priority-tags.patch: Strip 802.1Q VLAN 0
    priority tags; Fixes PXE when VLAN tag is 0. (LP: #1805920)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 10 Dec 2018 16:26:42 -0500

ipxe (1.0.0+git-20180124.fbe8c52d-0ubuntu4) cosmic; urgency=medium

  * Build ROMs for QEMU with CONFIG=qemu (LP: #1789319)

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 10 Sep 2018 14:56:17 +0200

ipxe (1.0.0+git-20180124.fbe8c52d-0ubuntu3) cosmic; urgency=medium

  * debian/patches/fix-elf2efi-plt-relocation.diff: Cherry-pick fix from
    ipxe devel mailing list to handle R_X86_64_PLT32 relocations.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 10 Sep 2018 14:27:35 +0200

ipxe (1.0.0+git-20180124.fbe8c52d-0ubuntu2) bionic; urgency=medium

  * debian/copyright: update copyright information to satisfy lintian
    dep5 checks (LP: #1747071)
  * d/p/enable-https.patch: adding proper dep3 header

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 05 Feb 2018 15:09:28 +0100

ipxe (1.0.0+git-20180124.fbe8c52d-0ubuntu1) bionic; urgency=medium

  * Merge new upstream release 20180124.fbe8c52d with last "new"
    Ubuntu packaging 1.0.0+git-20161027.b991c67-1ubuntu1 and the
    fixes since 1.0.0+git-20161027.b991c67+really20150424.a25a16d-1ubuntu1
    Remaining Changes:
    - d/p/enable-https.patch: Enable HTTPS support.
    - Split grub integration from ipxe->grub-ipxe.
      - d/control: add package and adapt dependencies
      - d/[grub-]ipxe.install: move some files to grub-ipxe
      - rename d/ipxe.post* to d/grub-ipxe-post*
    - Install ne.rom as pxe-ne2k_isa.rom
      - d/ipxe-qemu.install: Install ne.rom as pxe-ne2k_isa.rom.
      - d/ipxe-qemu.links: compat link for ne.rom
    - d/ipxe-qemu.links: Add compat links from /usr/share/qemu
      to /usr/lib/ipxe/qemu.
    - d/util/check-rom-sizes, d/rules: check sizes of generated roms to avoid
      accidentially breaking KVM live migration on updates/fixes.
    - debian/patches/handle-dhcp-nack.patch: Handle DHCP NAK and send a
      re-discover. (LP 1707999)
  * Dropped changes (upstream):
    - d/p/0004-fix_no-pie_option.patch: correct -no-pie option
      to build without pie
  * Added Changes:
    - updated debian/patches/util-elf2efi-GNU_SOURCE.patch to match latest
      upstream.
    - add new rom for vmxnet3 (LP: #1737211)
      - d/ipxe-qemu.install: install new rom
      - d/util/check-rom-sizes: check new rom as well
    - handling of efi rom size changes (LP: #1713490)
      - d/util/check-rom-sizes: bump efi rom sizes
      - d/control: break older qemu versions to ensure the new sized roms
        are only associated with new qemu versions.
    - d/util/check-rom-sizes: update description

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 24 Jan 2018 15:00:36 +0100

ipxe (1.0.0+git-20161027.b991c67+really20150424.a25a16d-1ubuntu2) artful; urgency=medium

  * debian/patches/handle-dhcp-nack.patch: Handle DHCP NAK and send a
    re-discover. (LP: #1707999)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 12 Oct 2017 16:25:52 -0400

ipxe (1.0.0+git-20161027.b991c67+really20150424.a25a16d-1ubuntu1) artful; urgency=medium

  * Revert to the former git snapshot 20150424.a25a16d to fix changed
    rom sizes that break cross release migrations (LP: #1713490).
    This makes it effectively identical to 1.0.0+git-20150424.a25a16d-1ubuntu2
    in regard to the upstream source, but keeps the changes to debian/*.
    On next merge we need to either ensure that rom sizes don't change, or
    that we can encapsulate that in qemu so that on forward migration it is
    taken care off.
    - This brings back debian/patches/0002-Don-t-use-libiberty.patch as needed
      on the older source.
    - Adapt d/p/0001-rom-change-banner-timeout.diff.patch to former state to
      match old source.
    - drop d/p/util-elf2efi-GNU_SOURCE.patch as it was not needed on old
      source
  * Fix FTBFS with newer perl versions (were dropped due to the revert above
    but is needed to build in artful)
    - d/p/0006-build-Fix-.ids.o-creation-for-drivers-not-in-the-all.patch
    - d/p/0007-build-Remove-nested-my-declaration.patch
  * d/util/check-rom-sizes, d/rules: check sizes of generated roms to avoid
    accidentially breaking KVM live migration on updates/fixes.

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 29 Aug 2017 10:37:57 +0200

ipxe (1.0.0+git-20161027.b991c67-1ubuntu1) artful; urgency=medium

  * Merge from Debian stable. Remaining changes:
    - d/p/enable-https.patch: Enable HTTPS support.
    - Split grub integration from ipxe->grub-ipxe.
      - d/control: add package and adapt dependencies
      - d/[grub-]ipxe.install: move some files to grub-ipxe
      - rename d/ipxe.post* to d/grub-ipxe-post*
    - Install ne.rom as pxe-ne2k_isa.rom
      - d/ipxe-qemu.install: Install ne.rom as pxe-ne2k_isa.rom.
      - d/ipxe-qemu.links: compat link for ne.rom
    - d/ipxe-qemu.links: Add compat links from /usr/share/qemu
      to /usr/lib/ipxe/qemu.
    - d/p/0004-fix_no-pie_option.patch: correct -no-pie option
      to build without pie

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 17 Aug 2017 08:40:41 +0200

ipxe (1.0.0+git-20161027.b991c67-1) unstable; urgency=medium

  * New snapshot. (closes: #799216)
  * Use debhelper 10.

 -- Bastian Blank <waldi@debian.org>  Sun, 13 Nov 2016 13:35:11 +0100

ipxe (1.0.0+git-20150424.a25a16d-1ubuntu2) yakkety; urgency=medium

  * debian/patches/0004-fix_no-pie_option.patch: correct -no-pie
    option to build without pie

 -- Steve Beattie <sbeattie@ubuntu.com>  Thu, 28 Apr 2016 23:55:40 -0700

ipxe (1.0.0+git-20150424.a25a16d-1ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/p/enable-https.patch: Enable HTTPS support.
    - d/control,grub-ipxe*: Split grub integration from ipxe->grub-ipxe.
    - d/ipxe-qemu.links: Add compat links from /usr/share/qemu to
      /usr/lib/ipxe/qemu.
    - d/ipxe-qemu.install: Install ne.rom as pxe-ne2k_isa.rom.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 08 Feb 2016 20:35:02 -0800

ipxe (1.0.0+git-20150424.a25a16d-1) unstable; urgency=medium

  * New snapshot.
  * Build-depend on liblzma-dev.
  * Update Standards-Version, no changes.
  * Redo ISO generation:
    - Fix isolinux location and build-deps. (closes: #783051)
    - Include EFI image, build-depend on dosfstools and mtools.
    - Use xorriso instead of genisoimage.
    - Use isohybrid.
  * Enable support for IPv6 and NFS. (closes: #746500)

 -- Bastian Blank <waldi@debian.org>  Wed, 29 Apr 2015 21:00:55 +0200

ipxe (1.0.0+git-20141004.86285d1-1ubuntu3) vivid; urgency=medium

  * ipxe.install: remove one more line which was supposed to be split out
    into grub-ipxe.install.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 09 Feb 2015 11:01:16 -0600

ipxe (1.0.0+git-20141004.86285d1-1ubuntu2) vivid; urgency=medium

  * ipxe.install: remove /boot/ipxe.efi and ipxe.lkrn which are split out
    into grub-ipxe.install.  (LP: #1418751)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 09 Feb 2015 10:51:22 -0600

ipxe (1.0.0+git-20141004.86285d1-1ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable. (LP: #1409057)  Remaining changes:
    - d/p/enable-https.patch: Enable HTTPS support.
    - d/control,grub-ipxe*: Split grub integration from ipxe->grub-ipxe.
    - d/ipxe-qemu.links: Add compat links from /usr/share/qemu to
      /usr/lib/ipxe/qemu.
    - d/ipxe-qemu.install: Install ne.rom as pxe-ne2k_isa.rom.
  * Dropped changes, alternative fix in Debian:
    - d/control: Add libiberty-dev to BD's to fix FTBFS.
    - drop isolinux from build-deps and patch to augment ISOLINUX_BIN
    - Drop transitional kvm-ipxe package since we are past 14.04

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 12 Jan 2015 10:32:26 -0600

ipxe (1.0.0+git-20141004.86285d1-1) unstable; urgency=medium

  * New snapshot.

 -- Bastian Blank <waldi@debian.org>  Sun, 19 Oct 2014 16:02:53 +0200

ipxe (1.0.0+git-20131111.c3d1e78-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add missing export in d/rules.
  * Change syslinux to syslinux-common in B-D. (Closes: #750349)

 -- Julián Moreno Patiño <julian@debian.org>  Wed, 10 Sep 2014 11:06:28 -0500

ipxe (1.0.0+git-20131111.c3d1e78-2ubuntu2) utopic; urgency=medium

  * Fix FTBFS in utopic due to movement of isolinux.bin:
    - add isolinux to build-deps
    - add /usr/lib/ISOLINUX/isolinux.bin to ISOLINUX_BIN in
      src/arch/i386/Makefile

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 12 Aug 2014 12:56:06 -0500

ipxe (1.0.0+git-20131111.c3d1e78-2ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/p/enable-https.patch: Enable HTTPS support.
    - d/control,grub-ipxe*: Split grub integration from ipxe->grub-ipxe.
    - d/control: Transition kvm-ipxe->ipxe-qemu for LTS->LTS upgrade.
    - d/ipxe-qemu.links: Add compat links from /usr/share/qemu to
      /usr/lib/ipxe/qemu.
    - d/ipxe-qemu.install: Install ne.rom as pxe-ne2k_isa.rom.
  * Dropped changes, alternative fix in Debian:
    - d/control: Add libiberty-dev to BD's to fix FTBFS.

 -- James Page <james.page@ubuntu.com>  Mon, 06 Jan 2014 09:55:25 +0000

ipxe (1.0.0+git-20131111.c3d1e78-2) unstable; urgency=medium

  * Don't use libiberty. (closes: #730910)

 -- Bastian Blank <waldi@debian.org>  Sun, 22 Dec 2013 20:05:03 +0100

ipxe (1.0.0+git-20131111.c3d1e78-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable, remaining changes:
    - d/p/enable-https.patch: Enable HTTPS support.
    - d/control,grub-ipxe*: Split grub integration from ipxe->grub-ipxe.
    - d/control: Transition kvm-ipxe->ipxe-qemu for LTS->LTS upgrade.
    - d/ipxe-qemu.links: Add compat links from /usr/share/qemu to
      /usr/lib/ipxe/qemu.
    - d/ipxe-qemu.install: Install ne.rom as pxe-ne2k_isa.rom.
  * All other changes dropped in preference to upstream Debian
    packaging.
  * d/control: Add libiberty-dev to BD's to fix FTBFS.

 -- James Page <james.page@ubuntu.com>  Tue, 26 Nov 2013 17:50:47 +0000

ipxe (1.0.0+git-20131111.c3d1e78-1) unstable; urgency=low

  * New snapshot.
  * Add undionly.kkpxe. (closes: #671340)
  * Ignore result of update-grub invocation. (closes: #660459)
  * Mark packages as multi-arch foreign. (closes: #728476)
  * Use debhelper 9.
  * Remove old breaks relations.
  * Add 64-bit EFI images:
    - Build-depend on binutils-dev, zlib1g-dev.
    - Add combined EFI/legacy images for qemu.
    - Properly clean build dir.
  * Install images in ipxe-qemu to match names used by qemu:
    - Add compatility symlink for e1000_82540.
    - Use dh-exec to allow renames in dh_install.

 -- Bastian Blank <waldi@debian.org>  Thu, 21 Nov 2013 18:26:32 +0100

ipxe (1.0.0+git-20130710.936134e-0ubuntu1) saucy; urgency=low

  * New upstream snapshot:
    - d/p/fix-bp-bug.patch: Dropped; included in snapshot.
    - d/p/baseroms-target.diff: Dropped; no longer required.
    - Refreshed all other patches.
  * d/rules: Use date for snapshot prefix instead of increment.
  * d/p/qemu-target-fix-names.diff: Consolidated into qemu-target.diff.
  * d/p/*: Tidied redundant patches.
  * d/control,rules: Move roms for use with qemu-kvm to ipxe-qemu, update
    kvm-ipxe to be transitional.
  * d/control: Drop Depends from grub-ipxe to ipxe as its not required.

 -- James Page <james.page@ubuntu.com>  Wed, 10 Jul 2013 12:23:26 +0100

ipxe (1.0.0+git-20120202.f6840ba-3) unstable; urgency=low

  * Fix to break qemu-system instead of qemu. (closes: #658982)
  * Make ipxe-qemu break and replace ipxe. (closes: #658684)
  * Add link for ipxe.lkrn, so all images can be found in one location.

 -- Bastian Blank <waldi@debian.org>  Tue, 07 Feb 2012 16:09:43 +0100

ipxe (1.0.0+git-20120202.f6840ba-2) unstable; urgency=low

  * Fix grub setup and restrict entry by default. (closes: #658465)
  * Install only combined images into ipxe package.
  * Install rom images needed for qemu into ipxe-qemu package.
    - Add breaks against qemu and qemu-kvm.
  * Disable rom banner timeout. (closes: #638574)

 -- Bastian Blank <waldi@debian.org>  Fri, 03 Feb 2012 19:04:56 +0100

ipxe (1.0.0+git-20120202.f6840ba-1) unstable; urgency=low

  * New snapshot.
  * Disable ath9k roms.
  * Fix tg3 build.
  * Create grub entry. (closes: #626238)
  * Override version string with package version.

 -- Bastian Blank <waldi@debian.org>  Thu, 02 Feb 2012 12:40:26 +0100

ipxe (1.0.0+git-4.d6b0b76-0ubuntu3) saucy; urgency=low

  * debian/patches/fix-bp-bug.patch: fixes FTBFS (LP: #1194914)

 -- Yolanda Robla <yolanda.robla@canonical.com>  Thu, 27 Jun 2013 11:22:43 +0200

ipxe (1.0.0+git-4.d6b0b76-0ubuntu2) raring; urgency=low

  * d/control: Add ipxe-qemu virtual package for use with qemu.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 20 Nov 2012 16:08:21 -0600

ipxe (1.0.0+git-4.d6b0b76-0ubuntu1) raring; urgency=low

  * New upstream snapshot:
    - d/p/iscsi*.patch: Dropped - included in snapshot.
    - Refreshed all other patches.
  * d/p/enable-https.patch: Enable HTTPS support (LP: #1025239).

 -- James Page <james.page@ubuntu.com>  Wed, 14 Nov 2012 15:47:31 +0000

ipxe (1.0.0+git-3.55f6c88-0ubuntu5) quantal; urgency=low

  * Fix input/output errors when using ipxe to boot from iSCSI storage
    (LP: #1045923).
    - d/p/iscsi-{report-reponse,send-padding-inline}.patch: Cherry picked
      patches from upstream VCS which resolve two issues with iSCSI protocol
      handling.

 -- James Page <james.page@ubuntu.com>  Thu, 06 Sep 2012 21:46:54 +0100

ipxe (1.0.0+git-3.55f6c88-0ubuntu4) quantal; urgency=low

  * debian/ipxe.install: add ipxe.dsk and ipxe.usb (LP: #1014005)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 21 Aug 2012 14:48:44 -0500

ipxe (1.0.0+git-3.55f6c88-0ubuntu3) quantal; urgency=low

  [ Serge Hallyn ]
  * debian/patches/rom-set-banner-timeout-0.diff: set rom banner timeout
    to 0.  (LP: #921230)
  
  [ Stefan Bader ]
  * Modify the ROM names in of the allqemu target to use 8086100e instead
    of e1000_82540 and ne instead of ne2k_isa (LP: #948323)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 28 May 2012 11:57:48 -0500

ipxe (1.0.0+git-3.55f6c88-0ubuntu2) quantal; urgency=low

  * debian/grub.d/25_ipxe: removed the space after "Found iPXE image"
    to match other grub-update script fragments (LP: #990378).
  * debian/control: fixed some Lintian warnings.
    - TODO: lots of missing Copyright information.

 -- Martin-Éric Racine <q-funk@ubuntu.com>  Sat, 28 Apr 2012 11:41:28 +0300

ipxe (1.0.0+git-3.55f6c88-0ubuntu1) precise; urgency=low

  [ Marc Cluet ]
  * New upstream snapshot.
  * Added rules for automatic git branch refresh.
  * Changed rom target from allbaseroms to allroms.
    - recommended behaviour by upstream, building all full roms is neither
      recommended nor a desired user experience
  * Added new target allqemu for qemu package.
    - created new build target to build full rom drivers just for qemu
      package purposes
  * Cleaned lintian errors from debian package
    - Removed brace extension in ipxe.install
    - Updated standards to 3.9.2
    - Fixed copyright file not machine readable

  [ James Page ]
  * Updated get-orig-source target to generate git snapshots inline
    with upstream version numbering being used by this package. 

 -- Marc Cluet <marc.cluet@ubuntu.com>  Fri, 10 Feb 2012 16:21:23 +0000

ipxe (1.0.0+git-2.149b50-1ubuntu4) precise; urgency=low

  * Add missing Breaks/Replaces for kvm-ipxe split in
    1.0.0+git-2.149b50-1ubuntu3 (LP: #905099).

 -- Robie Basak <robie.basak@ubuntu.com>  Fri, 16 Dec 2011 10:43:54 +0000

ipxe (1.0.0+git-2.149b50-1ubuntu3) precise; urgency=low

  * add new binary package, kvm-ipxe. The roms needed by kvm-ipxe are now only
    provided by it, so
    - make ipxe depend on kvm-ipxe.
    - ipxe.links: reverse the links

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 25 Nov 2011 12:58:48 -0600

ipxe (1.0.0+git-2.149b50-1ubuntu2) precise; urgency=low

  * Provide a new binary package, grub-ipxe - for ipxe usage via grub.
    - LP: #814038, Closes #626238

 -- Ben Howard <ben.howard@canonical.com>  Thu, 25 Aug 2011 11:03:52 -0600

ipxe (1.0.0+git-2.149b50-1ubuntu1) oneiric; urgency=low

  * Link Roms into /usr/share/qemu for consumption by
    qemu-kvm.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 18 Aug 2011 13:34:38 -0500

ipxe (1.0.0+git-2.149b50-1) unstable; urgency=low

  * New snapshot.

 -- Bastian Blank <waldi@debian.org>  Sun, 31 Jul 2011 20:57:02 +0200

ipxe (1.0.0+git-1.293e34-2) unstable; urgency=low

  * Add some missing copyrights and licenses to the copyright files.

 -- Bastian Blank <waldi@debian.org>  Mon, 11 Apr 2011 19:35:36 +0200

ipxe (1.0.0+git-1.293e34-1) unstable; urgency=low

  * Initial release (closes: #474034)
  * Remove drivers with binary-only firmware:
    - Remove bnx2 driver.
    - Remove linda infiniband driver.

 -- Bastian Blank <waldi@debian.org>  Sun, 03 Apr 2011 11:32:56 +0200

